#
# Copyright (C)  Heinz Mauelshagen, 2004 Red Hat GmbH. All rights reserved.
#
# This dmraid code is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# dmraid is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this dmraid code; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA

Summary: dmraid (Device-mapper RAID tool and library)
Name: dmraid
Version: 1.0.0
Release: rc3
License: GPL
Group: System Environment/Base
URL: http://people.redhat.com/~heinzm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
Source: ftp://people.redhat.com/~heinzm/sw/dmraid/src/dmraid-%{version}-%{release}.tar.bz2
# Patch0: maybelater.patch


%description
DMRAID supports device discovery, set activation and display of
properties for ATARAID on Linux >= 2.4 using device-mapper.


%prep

%setup -q -n dmraid
cd %{version}-%{release}


%build

cd %{version}-%{release}


%configure --prefix=${RPM_BUILD_ROOT}/usr --sbindir=${RPM_BUILD_ROOT}/sbin --libdir=${RPM_BUILD_ROOT}/%{_lib} --mandir=${RPM_BUILD_ROOT}/%{_mandir} --enable-debug
make -s


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib} $RPM_BUILD_ROOT/sbin \
         $RPM_BUILD_ROOT/%{_mandir}/man8
cd %{version}-%{release}
make DESTDIR=$RPM_BUILD_ROOT install

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT/lib


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

# %post -p /sbin/ldconfig 
# %postun -p /sbin/ldconfig 

%files
%defattr(-,root,root)
%doc %{version}-%{release}/README %{version}-%{release}/TODO
/%{_mandir}/man8/*
/sbin/*

%changelog

* Tue Aug 18 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-rc3
- Added make flag to prevent make 3.80 from looping infinitely

* Thu Jun 17 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-pre1
- Created
